from django.urls import path
from .views import index, add_project, register, edit_project, delete_project, projects, clients, add_client
from django.contrib.auth.views import LoginView, LogoutView

urlpatterns = [
    path('', index, name='index'),
    path('projects/', projects, name='projects'),
    path('clients/', clients, name='clients'),
    path('clients/add/', add_client, name='add_client'),
    path('add-project/', add_project, name='add_project'),
    path('register/', register, name='register'),
    path('login/', LoginView.as_view(template_name='core/login.html'), name='login'),
    path('logout/', LogoutView.as_view(), name='logout'),
    path('edit-project/<int:project_id>/', edit_project, name='edit_project'),
    path('delete-project/<int:project_id>/', delete_project, name='delete_project'),
]